Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view.grouping.settings
Class GroupingSettingsManager

    java.lang.Object
      infomat.view.grouping.settings.GroupingSettingsManager

    public class GroupingSettingsManager

extends java.lang.Object

One for each dimension, row and column. Keeps track of all display settings for all IObjectGroupings. Keeps track of the current GroupingColoring.

Field Summary
`private GroupingColoring` | `currentColoring`
`private java.util.HashMap<IObjectGrouping,GroupingSettings>` | `groupingSettingsMap`
`private InfomatModel` | `model`
`boolean` | `row`
`private InfomatView` | `view`

Constructor Summary
`GroupingSettingsManager(InfomatView view, InfomatModel model, boolean row)`

Method Summary
`GroupingColoring` | `getColoringForGrouping(IObjectGrouping grouping)`
`GroupingColoring` | `getCurrentColoring()`
`IObjectGrouping` | `getCurrentGrouping()`
`GroupingSettings` | `getSettingsForGrouping(IObjectGrouping grouping)`
`void` | `invert(GroupingSettingsManager gm)`
`private void` | `makeNewSettingsForAllGroupings()`
`void` | `print()` For debugging.
`void` | `putNewGrouping(IObjectGrouping grouping)`
`void` | `setCurrentColoringByGrouping(IObjectGrouping grouping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### row

    public boolean row

### view

    private InfomatView view

### model

    private InfomatModel model

### groupingSettingsMap

    private java.util.HashMap<IObjectGrouping,GroupingSettings> groupingSettingsMap

### currentColoring

    private GroupingColoring currentColoring

Constructor Detail

### GroupingSettingsManager

    public GroupingSettingsManager(InfomatView view,
                                   InfomatModel model,
                                   boolean row)

Method Detail

### invert

    public void invert(GroupingSettingsManager gm)

### getCurrentGrouping

    public IObjectGrouping getCurrentGrouping()

### print

    public void print()

  For debugging.

### makeNewSettingsForAllGroupings

    private void makeNewSettingsForAllGroupings()

### putNewGrouping

    public void putNewGrouping(IObjectGrouping grouping)

### getSettingsForGrouping

    public GroupingSettings getSettingsForGrouping(IObjectGrouping grouping)

### getCurrentColoring

    public GroupingColoring getCurrentColoring()

### getColoringForGrouping

    public GroupingColoring getColoringForGrouping(IObjectGrouping grouping)

### setCurrentColoringByGrouping

    public void setCurrentColoringByGrouping(IObjectGrouping grouping)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD